##############################################################################
# $Id: xdtv-suse.spec.in,v 1.3 2007/01/29 12:29:26 estre Exp $
##############################################################################

%define _unpackaged_files_terminate_build 0

%define name 			xdtv
%define Name 			XdTV
%define version 		2.4.0
%define release 		1suse102

%define with_tvfonts	 	1
%define with_optimization 	0
%define with_debug 		0
%define with_xinerama 		1
%define with_ogg 		1
%define with_xvid 		1
%define with_external_ffmpeg 	0
%define with_ffmpeg 		1
%define with_ffmpeg_amrnb	0
%define with_ffmpeg_amrnb_fixed	0
%define with_ffmpeg_amrwb	0
%define with_lame 		1
%define with_faac 		1
%define with_x264 		1
%define with_dvb 		1
%define with_zvbi 		1
%define with_lirc 		1
%define with_alsa 		1
%define with_png 		1
%define with_jpeg 		1

# Without
%{?_without_tvfonts: 		%{expand: %%global with_tvfonts 0}}
%{?_without_optimization: 	%{expand: %%global with_optimization 0}}
%{?_without_debug: 		%{expand: %%global with_debug 0}}
%{?_without_xinerama: 		%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 		%{expand: %%global with_ogg 0}}
%{?_without_xvid: 		%{expand: %%global with_xvid 0}}
%{?_without_external_ffmpeg: 	%{expand: %%global with_external_ffmpeg 0}}
%{?_without_ffmpeg: 		%{expand: %%global with_ffmpeg 0}}
%{?_without_ffmpeg_amrnb:	%{expand: %%global with_ffmpeg_amrnb 0}}
%{?_without_ffmpeg_amrnb_fixed:	%{expand: %%global with_ffmpeg_amrnb_fixed 0}}
%{?_without_ffmpeg_amrwb:	%{expand: %%global with_ffmpeg_amrwb 0}}
%{?_without_lame: 		%{expand: %%global with_lame 0}}
%{?_without_faac: 		%{expand: %%global with_faac 0}}
%{?_without_x264: 		%{expand: %%global with_x264 0}}
%{?_without_dvb: 		%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 		%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 		%{expand: %%global with_lirc 0}}
%{?_without_alsa: 		%{expand: %%global with_alsa 0}}
%{?_without_png: 		%{expand: %%global with_png 0}}
%{?_without_jpeg: 		%{expand: %%global with_jpeg 0}}

# With
%{?_with_tvfonts: 		%{expand: %%global with_tvfonts 1}}
%{?_with_optimization: 		%{expand: %%global with_optimization 1}}
%{?_with_debug: 		%{expand: %%global with_debug 1}}
%{?_with_xinerama: 		%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 			%{expand: %%global with_ogg 1}}
%{?_with_xvid: 			%{expand: %%global with_xvid 1}}
%{?_with_external_ffmpeg: 	%{expand: %%global with_external_ffmpeg 1}}
%{?_with_ffmpeg: 		%{expand: %%global with_ffmpeg 1}}
%{?_with_ffmpeg_amrnb: 		%{expand: %%global with_ffmpeg_amrnb 1}}
%{?_with_ffmpeg_amrnb_fixed: 	%{expand: %%global with_ffmpeg_amrnb_fixed 1}}
%{?_with_ffmpeg_amrwb: 		%{expand: %%global with_ffmpeg_amrwb 1}}
%{?_with_lame: 			%{expand: %%global with_lame 1}}
%{?_with_faac: 			%{expand: %%global with_faac 1}}
%{?_with_x264: 			%{expand: %%global with_x264 1}}
%{?_with_dvb: 			%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 			%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 			%{expand: %%global with_lirc 1}}
%{?_with_alsa: 			%{expand: %%global with_alsa 1}}
%{?_with_png: 			%{expand: %%global with_png 1}}
%{?_with_jpeg: 			%{expand: %%global with_jpeg 1}}

%define	fontdir                 %{_datadir}/fonts/misc/

Name: 				%{name}
Version: 			%{version}
Release: 			%{release}
Summary: 			%{Name} is a software to watch, record & stream TV.
Summary(fr): 			%{Name} est un logiciel permettant de regarder, d'enregistrer et de diffuser la TV.
License: 			GPL
Distribution: 			OpenSuse
Packager: 			Sebastien Corot <scorot@libertysurf.fr>
URL:				http://xawdecode.fr.st/
Source0:			http://prdownloads.sourceforge.net/xawdecode/%{name}-%{version}.tar.gz
Group: 				Hardware/TV

Requires:			xorg-x11
Requires:			xorg-x11-libs
Requires:			update-desktop-files
%if %with_external_ffmpeg
Requires:			libffmpeg0
%endif
%if !%with_tvfonts
Requires:			tv-fonts
%endif
%if %with_faac
Requires:			faac
Requires:			faad2
Requires:			libmp4v2
%endif
%if %with_x264
Requires:			x264
%endif
%if %with_lame
Requires:			lame
%endif
%if %with_lirc
Requires:			lirc
%endif
%if %with_jpeg
Requires:			libjpeg
%endif
%if %with_png
Requires:			libpng
%endif
%if %with_xvid
Requires:			xvid
%endif
Requires:			xterm
Requires:			neXtaw
%if %with_zvbi
Requires:			zvbi
%endif
%if %with_ogg
Requires:			libtheora >= 1.0-0.alpha5
Requires:			libvorbis >= 1.1.1
Requires:			libogg >= 1.1.2
%endif
%if %with_alsa
Requires:			alsa
%endif
%if %with_dvb
Requires:			SDL
Requires:			curl
%endif

BuildRequires:			xorg-x11
BuildRequires:			xorg-x11-devel
BuildRequires:			update-desktop-files
%if %with_external_ffmpeg
BuildRequires:			libffmpeg0-devel
%endif
%if %with_faac
BuildRequires:			faac
BuildRequires:			faad2-devel
BuildRequires:			libmp4v2-devel
%endif
%if %with_x264
BuildRequires:			x264-devel
%endif
%if %with_lame
BuildRequires:			lame
%endif
%if %with_lirc
BuildRequires:			lirc
%endif
%if %with_png
BuildRequires:			libjpeg-devel
%endif
%if %with_jpeg
BuildRequires:			libpng-devel
%endif
%if %with_xvid
BuildRequires:			xvid-devel
%endif
BuildRequires:			neXtaw-devel
%if %with_zvbi
BuildRequires:			zvbi-devel
%endif
%if %with_ogg
BuildRequires:			libtheora-devel >= 1.0-0.alpha5
BuildRequires:			libvorbis-devel >= 1.1.1
BuildRequires:			libogg-devel >= 1.1.2
%endif
%if %with_alsa
BuildRequires:			alsa-devel
%endif
%if %with_dvb
BuildRequires:			SDL-devel
BuildRequires:			curl-devel
%endif

BuildRoot: 			%{_tmppath}/%{name}-%{version}-build

%description
%{Name} is a software to watch, record & stream TV.
It interacts with AleVT (Teletext) and Nxtvepg (NextView)
& supports the bttv, bktr & dvb APIs. It contains some
deinterlacing filters & record video files with various
containers (AVI, MPEG, OGG, etc.) & many codecs:
FFMpeg >=0.4.6, XviD 0.9 & 1.x, DivX 4 & 5, Ogg Vorbis
& Theora >=1.0a5. It has some plugin capabilities.

%description -l fr
%{Name} est un programme pour regarder, enregistrer & diffuser
la TV. Il interagit avec AleVT (Télétexte) et Nxtvepg (NextView)
et supporte les APIs bttv, bktr & dvb.
Il propose des filtres d'entrelacement et enregistre
des fichiers vidéos sous différents conteneurs
(AVI, MPEG, OGG, etc.) avec de nombreux codecs: FFMpeg >=0.4.6,
XviD 0.9 & 1.x, DivX 4 & 5, Ogg Vorbis + Theora >=1.0a5.
Il est possible de lui ajouter des greffons.

# ------------------------------------------------------------

%package devel
Summary: 			Developpement files for %{Name}
Group: 				Hardware/TV
Requires: 			%{name} = %{version}

%description devel
Developpement files for %{name}

%description -l fr devel
Fichiers de developpement de %{Name}

# ------------------------------------------------------------

%if %with_tvfonts
%package OSD-fonts
Summary: 			TV Fonts used by the %{Name} OSD function
Summary(fr): 			Polices pour la TV utlisées par %{Name} pour ses fonction OSD
Group: 				System/X11/Fonts
Requires: 			%{name} = %{version}
Obsoletes:			xdtv-OSD-font

%description OSD-fonts
TV Fonts used by the %{Name} OSD function.

%description -l fr OSD-fonts
Polices pour la TV utlisées par %{Name} pour ses fonction OSD.
%endif

# ------------------------------------------------------------

%if %suse_version > 920
%debug_package
%endif

# ------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

# ------------------------------------------------------------

%build
%if %with_tvfonts
[ -n "$DISPLAY" ] && unset DISPLAY
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir} --disable-divx4linux \
%if %with_tvfonts
	--with-fontdir=%{fontdir} --enable-makefonts \
%else
	--disable-makefonts \
%endif
%if %with_optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_external_ffmpeg
	--with-external-ffmpeg \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_ffmpeg_amrnb
	--enable-ffmpeg-amrnb \
%else
	--disable-ffmpeg-amrnb \
%endif
%if %with_ffmpeg_amrnb_fixed
	--enable-ffmpeg-amrnb-fixed \
%else
	--disable-ffmpeg-amrnb-fixed \
%endif
%if %with_ffmpeg_amrwb
	--enable-ffmpeg-amrwb \
%else
	--disable-ffmpeg-amrwb \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_faac
	--enable-faac \
%else
	--disable-faac \
%endif
%if %with_x264
	--enable-x264 \
%else
	--disable-x264 \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif

make prefix=%{_prefix}

# ------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
make prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

# Strip binaries (except the shell scripts)
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt*

# Gzip the man pages
gzip $RPM_BUILD_ROOT/%{_mandir}/man1/*.1

# Install the icon for the XDG menu
install -D -m 644 xdtv-48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/xdtv.png

# ------------------------------------------------------------

# Create some desktop files for the XDG menu entries
%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=XdTV
Comment=%{Summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=AudioVideo;TV;
EOF

%{__cat} <<EOF >%{name}_wizard.desktop
[Desktop Entry]
Encoding=UTF-8
Name=%{Name} Wizard
Comment=%{Summary}
Exec=%{name}_wizard
Icon=%{name}.png
Terminal=false
Type=Application
Categories=AudioVideo;TV;
EOF

# Install the XDG menu
install -D -m 644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
install -D -m 644 %{name}_wizard.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}_wizard.desktop
%suse_update_desktop_file -i $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop AudioVideo TV
%suse_update_desktop_file -i $RPM_BUILD_ROOT%{_datadir}/applications/%{name}_wizard.desktop AudioVideo TV

# ------------------------------------------------------------

%post
xset fp rehash || true

# ------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------------------------------------

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL TODO ChangeLog lisez-moi
%doc README* lircrc* xdtvrc.sample FAQfr-xdtv
%{_datadir}/X11/app-defaults/%{Name}
%{_sysconfdir}/%{name}/*.conf
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/*

# ------------------------------------------------------------

%if %with_tvfonts
%post OSD-fonts
%run_suseconfig_fonts

%postun OSD-fonts
%run_suseconfig_fonts

%files OSD-fonts
%defattr(-,root,root)
%{fontdir}/*.gz
%endif

# ------------------------------------------------------------

%changelog
* Wed Jan 24 2007 Sir Pingus <pingus_77@yahoo.fr>
- version 2.4.0
- fix several errors in that spec files

* Fri Dec 22 2006 Sir Pingus <pingus_77@yahoo.fr>
- version 2.3.4
- Add a new switch: -with (by default) / -without tvfonts
- Change the default misc fonts path by this one: /usr/share/fonts/misc
- Possibility to use tv-fonts
- Update the XDG menu support.
- Rename the OSD-font package as there are more than one OSD font now.
- Cleanup the spec file.
- Add a new switch: -with / -without (by default) external_ffmpeg

* Tue Jul 12 2006 Sir Pingus <pingus_77@yahoo.fr>
- version 2.4.0pre0

* Mon Jul 11 2006 Sir Pingus <pingus_77@yahoo.fr>
- version 2.3.3

* Fri Mar 17 2006 Sebastien Corot <scorot@libertysurf.fr>
- version 2.3.2

* Wed Feb 08 2006 Sebastien Corot <scorot@libertysurf.fr>
- version 2.3.0

* Tue Jul 19 2005 Sebastien Corot <scorot@libertysurf.fr>
- apply gcc4 and amd64 patch

* Mon Jul 11 2005 Sebastien Corot <scorot@libertysurf.fr>
- Recompile for multiple SuSE version

* Sat Jul 09 2005 Sir Pingus <pingus_77@yahoo.fr>
- some updates & cleanups

* Mon Jun 13 2005 Sebastien Corot <scorot@libertysurf.fr>
- version 2.2.0

* Mon Jun 06 2005 Sebastien Corot <scorot@libertysurf.fr>
- move app-default form lib64 to lib when compile for x86_64

* Wed May 18 2005 Sebastien Corot <scorot@libertysurf.fr>
- update file list for x86_64

* Sun Apr 03 2005 Sebastien Corot <scorot@libertysurf.fr>
- version 2.1.1

* Sun Dec 19 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to xdtv 2.0.1

* Sat Nov 13 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to xdtv 2.0.0

* Sat Nov 13 2004 Sebastien Corot <scorot@libertysurf.fr>
- compiled for SuSE Linux 9.2

* Sat Sep 18 2004 Sebastien Corot <scorot@libertysurf.fr>
- corrected package group

* Sun Sep 05 2004 Sebastien Corot <scorot@libertysurf.fr>
- update to version 1.9.3
- clean up spec file thanks to Sir Pingus comments

* Mon May 21 2004 Sebastien Corot <scorot@libertysurf.fr>
- update to version 1.9.2

* Fri May 14 2004 Sebastien Corot <scorot@libertysurf.fr>
- compiled for SuSE Linux 9.1

* Sat Apr 16 2004 Sebastien Corot <scorot@libertysurf.fr>
- update to version 1.9.1
- add suse90 in rpm release number

* Sun Mar 21 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 1.9.0 for SuSE Linux 9.0
- changed icon directory to /usr/share/pixmaps
- added correct category to desktop file
- added french description (translations are welcome, send it to me :)

* Fri Nov 28 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 1.8.2 for SUSE 9.0

* Fri Nov 28 2003 Pingus <pingus77@ifrance.com> 1.8.2
- 1.8.2
- add lircrc.WinfastTV2000.sample file.
- alsa support always used. now noalsa is proposed to compile with no alsa support.

* Sun Nov 2 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- recompiled for SuSE 9.0

* Sun Oct 5 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 1.8.1

* Sun Sep 14 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 1.8.0

* Sat Aug 9 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- added missing binaries to spec file. Sorry...
- removed package xawdecode-v4l-conf, as there is no longer any binary conflict

* Fri Aug 8 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 1.7.5beta

* Mon Jul 14 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 1.7.0

* Thu Jul 10 2003 Pingus <pingus77@ifrance.com> 1.7.0-1mdk
- ver 1.7.0 final
- goto changelog to see details

* Thu Jun 19 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated for SuSE 8.2 and version 1.6.8

* Wed Feb 19 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated the dependencies to use the Lame package from Packman

* Tue Jan 21 2003 Thibaut Cousin <linux@thibaut-cousin.net>
- updated the spec file for SuSE 8.1

* Fri Nov 18 2002 Pingus
- ver 1.6.6a special sourceforge release

* Mon Nov 13 2002 Pingus
- ver 1.6.6

* Tue Oct 26 2002 Pingus
- add lirc support
- add menus entry
- made spec file more mdk compatible (define, mandir)

* Wed Oct 18 2002 Pingus
- ver 1.6.5
- Adaptation for Mandrake 9.0
- include last patches from keuleu
